Bug 171584 - Please do not hard code file name into up2date message
Please do not hard code file name into up2date message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 16:21 EDT by Christian Rose
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2005-10-23 16:21:53 EDT
#: ../wrapper.py:1241
msgid "See /var/log/up2date for more information"


Please do not hard code file names into translateable messages.

1) Hard coding means that all translations will need to be updated should the
location or file name change at any time in the future.
2) The file name and location should never need any translation, and placing a
file name and location in the message always means that there will be a danger
of it being accidentally mistranslated by a translator.

Please use a *printf-style approach instead, placing the location and file name
inside a specifier.
Comment 1 John Thacker 2006-10-29 15:27:53 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 2 John Thacker 2006-11-05 11:28:48 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.